Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development
Interface ContainerService

All Known Implementing Classes:
  AbstractContainerService

    public interface ContainerService

Provides the backing servlet container support for the `DevAppServer`, as discovered via `ServiceProvider`.

More specifically, this interface encapsulates the interactions between the `DevAppServer` and the underlying servlet container, which by default uses Jetty.

Nested Class Summary
`static class` | `ContainerService.EnvironmentVariableMismatchSeverity` The severity with which we'll treat environment variable mismatches.

Method Summary
`com.google.appengine.tools.development.LocalServerEnvironment` | `configure(java.lang.String devAppServerVersion, java.io.File appDir, java.lang.String webXmlLocation, AppEngineWebXmlReader appEngineWebXmlReader, java.lang.String address, int port)` Sets up the necessary configuration parameters.
`java.lang.String` | `getAddress()` Returns the listener network address, however it's decided during the servlet container deployment.
`com.google.appengine.tools.development.AppContext` | `getAppContext()` Returns the context representing the currently executing webapp.
`java.io.File` | `getAppDirectory()` Returns the root directory of the application.
`AppEngineWebXml` | `getAppEngineWebXmlConfig()` Return the AppEngineWebXml configuration of this container
`BackendsXml` | `getBackendsXml()`
`int` | `getPort()` Returns the listener port number, however it's decided during the servlet container deployment.
`void` | `setEnvironmentVariableMismatchSeverity(ContainerService.EnvironmentVariableMismatchSeverity val)` Overrides the default EnvironmentVariableMismatchSeverity setting, to disable exceptions during the testing.
`void` | `shutdown()` Shuts down the servlet container.
`void` | `startup()` Starts up the servlet container.

Method Detail

### configure

    com.google.appengine.tools.development.LocalServerEnvironment configure(java.lang.String devAppServerVersion,
                                                                            java.io.File appDir,
                                                                            java.lang.String webXmlLocation,
                                                                            AppEngineWebXmlReader appEngineWebXmlReader,
                                                                            java.lang.String address,
                                                                            int port)

  Sets up the necessary configuration parameters.

  Parameters:
    `devAppServerVersion` - Version of the devAppServer.
    `appDir` - The location of the application to run.
    `webXmlLocation` - The location of a file whose format complies with http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd. Can be null.
    `appEngineWebXmlReader` - The reader that will be used to create an instance of `com.google.apphosting.utils.config.AppEngineWebXml`. If `null`, an instance of `AppEngineWebXmlReader` will be instantiated with `appDir` as the constructor argument.
    `address` - The address on which the server will run
    `port` - The port to which the server will be bound. If 0, an available port will be selected.
  Returns:
    A LocalServerEnvironment describing the environment in which the server is running.

### startup

    void startup()
                 throws java.lang.Exception

  Starts up the servlet container.

  Throws:
    `java.lang.Exception` - Any exception from the container will be rethrown as is.

### shutdown

    void shutdown()
                  throws java.lang.Exception

  Shuts down the servlet container.

  Throws:
    `java.lang.Exception` - Any exception from the container will be rethrown as is.

### getAddress

    java.lang.String getAddress()

  Returns the listener network address, however it's decided during the servlet container deployment.

### getPort

    int getPort()

  Returns the listener port number, however it's decided during the servlet container deployment.

### getAppContext

    com.google.appengine.tools.development.AppContext getAppContext()

  Returns the context representing the currently executing webapp.

### getAppEngineWebXmlConfig

    AppEngineWebXml getAppEngineWebXmlConfig()

  Return the AppEngineWebXml configuration of this container

### getBackendsXml

    BackendsXml getBackendsXml()

### getAppDirectory

    java.io.File getAppDirectory()

  Returns the root directory of the application.

### setEnvironmentVariableMismatchSeverity

    void setEnvironmentVariableMismatchSeverity(ContainerService.EnvironmentVariableMismatchSeverity val)

  Overrides the default EnvironmentVariableMismatchSeverity setting, to disable exceptions during the testing.

  Parameters:
    `val` - The new EnvironmentVariableMismatchSeverity.
  See Also:
    `ContainerService.EnvironmentVariableMismatchSeverity`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD